import { ReactNode } from 'react';
import { ParseResult } from 'papaparse';
import { CSVReaderConfig } from './model';
export interface Props<T> {
    children: (fn: any) => void | ReactNode;
    accept?: string;
    config?: CSVReaderConfig<T>;
    minSize?: number;
    maxSize?: number;
    maxFiles?: number;
    disabled?: boolean;
    noClick?: boolean;
    noDrag?: boolean;
    noDragEventsBubbling?: boolean;
    noKeyboard?: boolean;
    multiple?: boolean;
    required?: boolean;
    preventDropOnDocument?: boolean;
    onUploadAccepted?: (data: ParseResult<T>, file?: File, event?: DragEvent | Event) => void;
    onUploadRejected?: (file?: File, event?: DragEvent | Event) => void;
    validator?: (file: File) => void;
    onDragEnter?: (event?: DragEvent) => void;
    onDragOver?: (event?: DragEvent) => void;
    onDragLeave?: (event?: DragEvent) => void;
}
export interface ProgressBarComponentProp {
    style?: any;
    className?: string;
}
export declare function useCSVReader(): {
    CSVReader: any;
};
